# Interface SQLAppendable

All Known Implementing Classes:
  `DefaultSQLAppendable`

public interface SQLAppendable

Since:
  5.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SQLAppendable`
  `append(char c)`
  `SQLAppendable`
  `append(int i)`
  `default SQLAppendable`
  `append(CharSequence csq, int start, int end)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  unused; no SQL tree node appends a sub-range.
  `SQLAppendable`
  `append(String str)`
  `SQLAppendable`
  `appendQuoted(String str)`
  `SQLAppendable`
  `appendTokenSeparator()`
  Emits a token separator (a single space) ahead of the next SQL token.
  `String`
  `getSql()`
  `SQLAppendable`
  `suppressNextTokenSeparator()`
  Suppresses the separator that the next `appendTokenSeparator()` call would emit.

- ## Method Details

  - ### append

    SQLAppendable append(String str)

  - ### append

    @Deprecated(since="5.0", forRemoval=true) default SQLAppendable append(CharSequence csq, int start, int end)
    Deprecated, for removal: This API element is subject to removal in a future version.
    unused; no SQL tree node appends a sub-range. Kept for binary compatibility, now delegating to `append(String)`.

  - ### append

    SQLAppendable append(char c)

  - ### append

    SQLAppendable append(int i)

  - ### appendTokenSeparator

    SQLAppendable appendTokenSeparator()
    Emits a token separator (a single space) ahead of the next SQL token. SQL tree nodes call this instead of embedding a leading space in their literals, so inter-token spacing is owned by the appendable rather than scattered across nodes. The separator is skipped when `suppressNextTokenSeparator()` was just called.

  - ### suppressNextTokenSeparator

    SQLAppendable suppressNextTokenSeparator()
    Suppresses the separator that the next `appendTokenSeparator()` call would emit. A node calls this right after opening a parenthesis so the group hugs its first token — `(NAME)` rather than `( NAME)`.

  - ### appendQuoted

    SQLAppendable appendQuoted(String str)

  - ### getSql

    String getSql()